<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qtquick-app-tutorial.qdoc -->
  <title>Creating a Qt Quick Application | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Creating a Qt Quick Application</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-tutorials.html" />
  <link rel="next" href="creator-writing-program.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-tutorials.html">Tutorials</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-writing-program.html">Creating a Qt Widget Based Application</a>
</p><p/>
<h1 class="title">Creating a Qt Quick Application</h1>
<span class="subtitle"></span>
<pre class="cpp">

  &lt;RCC&gt;
      &lt;qresource prefix=&quot;/&quot;&gt;
          &lt;file&gt;main.qml&lt;/file&gt;
          &lt;file&gt;Page1Form.ui.qml&lt;/file&gt;
          &lt;file&gt;Page2Form.ui.qml&lt;/file&gt;
          &lt;file&gt;main.qml&lt;/file&gt;
          &lt;file&gt;qtquickcontrols2.conf&lt;/file&gt;
          &lt;file&gt;qt-logo.png&lt;/file&gt;
      &lt;/qresource&gt;
  &lt;/RCC&gt;

</pre>
